-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #  File Information: Common/src/tedw_app/amx/pkg/v511/cdw/ddl/amx_cdw_drop_schema.sql, tmnt_etl, tmnt_5.1.1_FP06, DM040219A
-- #  Revision: 1.3.1.2
-- #  Date: 1/27/04 12:02:37
-- ############################################################################

-----------------------------------------------------
-- ///////////////// PRUNE TABLES ///////////////////
-----------------------------------------------------

DROP TABLE AMX.prune_control;
DROP TABLE AMX.prune_log;

-----------------------------------------------------
-- /////// STAGING ITM TABLES AFTER EXTRACTION //////
-----------------------------------------------------

DROP TABLE AMX.Stage1_Resources; 
DROP TABLE AMX.Stage1_Instances;
DROP TABLE AMX.Stage_MetricsData;
DROP TABLE AMX.Stage1_Categories;
DROP TABLE AMX.Stage_CategoriesData;
DROP TABLE AMX.Stage_Endpoints;

-----------------------------------------------------
-- /////// STAGING ITM TABLES RECONSTITUTED /////////
-----------------------------------------------------

-- NOTE: the Endpoints, MetricsData and CategoriesData
-- staging tables are still the ones filled after the
-- extraction...

DROP TABLE AMX.Stage_RmProfiles;
DROP TABLE AMX.Stage_Resources; 
DROP TABLE AMX.Stage_Instances;
DROP TABLE AMX.Stage_Metrics;
DROP TABLE AMX.Stage_Categories;


-----------------------------------------------------
-- ///// Translation tables between ITM and TEDW ////
-----------------------------------------------------

DROP TABLE AMX.RelnRul_Transl;
DROP TABLE AMX.Category_Transl; 
DROP TABLE AMX.Categories_Convert;
DROP TABLE AMX.CompTyp_Transl;
DROP TABLE AMX.Inst_key_Convert;
DROP TABLE AMX.Resources_Convert;
DROP TABLE AMX.AttrTyp_Transl;
DROP TABLE AMX.Resource_Transl;
DROP TABLE AMX.Stage_CompTyp2_Transl;

-----------------------------------------------------
-- /////////////// EXCEPTION TABLES /////////////////
-----------------------------------------------------

DROP TABLE AMX.Stage_CompTyp_Transl_Ex ;
DROP TABLE AMX.Stage_Resource_Transl_Ex;
DROP TABLE AMX.Stage_RelnRul_Transl_Ex;
DROP TABLE AMX.Stage_AttrTyp_Transl_Ex;
DROP TABLE AMX.Stage_RmProfiles_Ex;
DROP TABLE AMX.Stage_Inst_Comp_PAC_Ex;
DROP TABLE AMX.Stage_Metrics_Ex;
DROP TABLE AMX.Stage_Categories_Ex;

-----------------------------------------------------
-- ////////// Source tables with no errors //////////
-- ////////// and with the TEDW CompTyp_Cd //////////
-----------------------------------------------------

DROP TABLE AMX.Stage_InstKey_No_Ex;
DROP TABLE AMX.Stage_Ep_No_Ex;
DROP TABLE AMX.Stage_RmProf_No_Ex;
DROP TABLE AMX.Stage_Msmt_No_Ex;
DROP TABLE AMX.Stage_Attr_No_Ex;

-----------------------------------------------------
-- ///// Tables used by the extract, parsing, ///////
-- //////// exception and comp processes... /////////
-----------------------------------------------------

DROP TABLE AMX.Stage_All_PACs_RelnRul ;
DROP TABLE AMX.Stage_All_Comps_Exp;
DROP TABLE AMX.Stage_Comp_Level;
DROP TABLE AMX.Stage_Meta_Keys;
DROP TABLE AMX.Stage_key_Parsed;
DROP TABLE AMX.Temp_To_IntSeq;
DROP TABLE AMX.Stage_Meta_Names;

-----------------------------------------------------
-- ///////////////// Lookup Tables //////////////////
-----------------------------------------------------

DROP TABLE AMX.Cust_Lookup; 
DROP TABLE AMX.Centr_Lookup; 

-----------------------------------------------------
-- ////////////// Metadata Copy Tables //////////////
-- These tables are used to see if the metadata has 
-- changed since the last run of the exception step
-----------------------------------------------------

DROP TABLE AMX.Stage_MData_Change;
DROP TABLE AMX.Stage_MSrc_Old;
DROP TABLE AMX.Stage_Comp_Level_Old; 
DROP TABLE AMX.Stage_Meta_Keys_Old;
DROP TABLE AMX.Stage_Meta_Names_Old;
DROP TABLE AMX.Stage_CompTyp_Old;
DROP TABLE AMX.Stage_AttrRul_Old;
DROP TABLE AMX.Stage_RelnRul_Transl_Old;
DROP TABLE AMX.Stage_All_Comps_Exp_Old;

DROP TABLE AMX.Stage_Wep_Installed_Old;