-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #  File Information: Common/src/tedw_app/amx/pkg/v511/cdw/ddl/amx_cdw_triggers.sql, tmnt_etl, tmnt_5.1.1_FP06, DM040219A
-- #  Revision: 1.2
-- #  Date: 9/3/02 10:25:21
-- ############################################################################


create trigger AMX.expdel
after delete on AMX.Stage_All_PACs_RelnRul
referencing old as ooo
for each row mode db2sql
  delete from  AMX.Stage_All_Comps_exp
  where        ckey = ooo.ckey
;

create trigger AMX.expins 
after insert on AMX.Stage_All_PACs_RelnRul
referencing new as nnn 
for each row mode db2sql 
  insert into  AMX.Stage_All_Comps_exp 
  with temp (msrc_cd, ckey, pkey, lvl) as (
    values  (nnn.msrc_cd, nnn.ckey, nnn.ckey, 0 ) 
    union all 
    select  nnn.msrc_cd, nnn.ckey, n.pkey, t.lvl +1 
    from    temp t, AMX.Stage_All_PACs_RelnRul n 
    where   n.ckey = t.pkey 
    and     n.ckey <> n.pkey )
  select  msrc_cd, ckey, pkey, lvl
  from    temp
;

