-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #  File Information: Common/src/tedw_app/amy/pkg/v110/cdw/ddl/amy_cdw_drop_schema.sql, tmnt_etl, tmnt_5.1.1_FP06, DM040219A
-- #  Revision: 1.5
-- #  Date: 1/30/04 11:42:13
-- ############################################################################

drop view AMY.hostname_v1;
drop view AMY.hostname_v2;
drop view AMY.hostname_decomp;

--------------------
--- Host
--------------------

-- VE VIEW
drop view AMY.ve_host;

-- VD VIEW
drop view AMY.vd_host;

--------------------
---  CPU
--------------------

drop table AMY.stg_CPU_met;

-- VE VIEW
drop view AMY.ve_CPU_met;

-- VD VIEW
drop view AMY.vd_CPU_met;

-- VE VIEW
drop view AMY.ve_CPU;

-- VD VIEW
drop view AMY.vd_CPU;

-- VE VIEW
drop view AMY.ve_stg_CPU_hr;

-- VF VIEW
drop view AMY.vf_stg_CPU_hr;

--------------------
---  FILE
--------------------

drop table AMY.stg_FS_met;

-- VE VIEW
drop view AMY.ve_FS_met;

-- VD VIEW
drop view AMY.vd_FS_met;

-- VE VIEW
drop view AMY.ve_FILE;

-- VD VIEW
drop view AMY.vd_FILE;

-- VE VIEW
drop view AMY.ve_stg_FILE_hr;

-- VF VIEW
drop view AMY.vf_stg_FILE_hr;

--------------------
---  FS
--------------------

-- VE VIEW
drop view AMY.ve_FS;

-- VD VIEW
drop view AMY.vd_FS;

-- VE VIEW
drop view AMY.ve_stg_FS_hr;

-- VF VIEW
drop view AMY.vf_stg_FS_hr;

--------------------
---  NETWORK
--------------------

drop table AMY.stg_NET_met;

-- VE VIEW
drop view AMY.ve_NET_met;

-- VD VIEW
drop view AMY.vd_NET_met;

-- VE VIEW
drop view AMY.ve_NETWORK;

-- VD VIEW
drop view AMY.vd_NETWORK;

-- VE VIEW
drop view AMY.ve_stg_NETWORK_hr;

-- VF VIEW
drop view AMY.vf_stg_NETWORK_hr;

--------------------
---  LDISK
--------------------

drop table AMY.stg_IO_met;

-- VE VIEW
drop view AMY.ve_IO_met;

-- VD VIEW
drop view AMY.vd_IO_met;

-- VE VIEW
drop view AMY.ve_LDISK;

-- VD VIEW
drop view AMY.vd_LDISK;

-- VE VIEW
drop view AMY.ve_stg_LDISK_hr;

-- VF VIEW
drop view AMY.vf_stg_LDISK_hr;

--------------------
---  MEMORY
--------------------

drop table AMY.stg_MEM_met;

-- VE VIEW
drop view AMY.ve_MEM_met;

-- VD VIEW
drop view AMY.vd_MEM_met;

-- VE VIEW
drop view AMY.ve_MEMORY;

-- VD VIEW
drop view AMY.vd_MEMORY;

-- VE VIEW
drop view AMY.ve_stg_MEMORY_hr;

-- VF VIEW
drop view AMY.vf_stg_MEMORY_hr;

--------------------
---  NETSEG
--------------------

-- merged with D_NET

--------------------
--- IP
--------------------

-- merged with D_NET

--------------------
---  NFS
--------------------

-- merged with D_NET

--------------------
---  OS400ASP
--------------------

-- VE VIEW
drop view AMY.ve_OS400ASP;

-- VD VIEW
drop view AMY.vd_OS400ASP;

-- VE VIEW
drop view AMY.ve_stg_OS400ASP_hr;

-- VF VIEW
drop view AMY.vf_stg_OS400ASP_hr;

--------------------
---  OS4KBCPU
--------------------

-- merged with D_CPU

--------------------
---  OS4KDBCPU
--------------------

-- merged with D_CPU

--------------------
---  OS4KDISK
--------------------

-- VE VIEW
drop view AMY.ve_OS4KDISK;

-- VD VIEW
drop view AMY.vd_OS4KDISK;

-- VE VIEW
drop view AMY.ve_stg_OS4KDISK_hr;

-- VF VIEW
drop view AMY.vf_stg_OS4KDISK_hr;

--------------------
---  OS4KICPU
--------------------

-- merged with D_CPU

--------------------
---  OS4KIFCPU
--------------------

-- merged with D_CPU

--------------------
---  OS4KSPOOL
--------------------

-- merged with D_MEMORY

--------------------
---  PDISK
--------------------

-- VE VIEW
drop view AMY.ve_PDISK;

-- VD VIEW
drop view AMY.vd_PDISK;

-- VE VIEW
drop view AMY.ve_stg_PDISK_hr;

-- VF VIEW
drop view AMY.vf_stg_PDISK_hr;

--------------------
---  PORT
--------------------

-- there is no metric logged for this component
-- so there is no need for dimension or fact tables

--------------------
---  PRNQUEUE
--------------------

drop table AMY.stg_PRN_met;

-- VE VIEW
drop view AMY.ve_PRN_met;

-- VD VIEW
drop view AMY.vd_PRN_met;

-- VE VIEW
drop view AMY.ve_PRINTER;

-- VD VIEW
drop view AMY.vd_PRINTER;

-- VE VIEW
drop view AMY.ve_stg_PRN_hr;

-- VF VIEW
drop view AMY.vf_stg_PRN_hr;

--------------------
---  PROCESS
--------------------

-- VE VIEW
drop view AMY.ve_PROCESS;

-- VD VIEW
drop view AMY.vd_PROCESS;

-- VE VIEW
drop view AMY.ve_stg_PROCESS_hr;

-- VF VIEW
drop view AMY.vf_stg_PROCESS_hr;

--------------------
---  REDIR
--------------------

-- merged with D_NET

--------------------
---  RPC
--------------------

-- merged with D_NET

--------------------
---  SERVER
--------------------

drop table AMY.stg_SERVER_met;

-- VE VIEW
drop view AMY.ve_SERVER_met;

-- VD VIEW
drop view AMY.vd_SERVER_met;

-- VE VIEW
drop view AMY.ve_SERVER;

-- VD VIEW
drop view AMY.vd_SERVER;

-- VE VIEW
drop view AMY.ve_stg_SERVER_hr;

-- VF VIEW
drop view AMY.vf_stg_SERVER_hr;

--------------------
---  SERVICE
--------------------

-- there is no metric logged for this component
-- so there is no need for dimension or fact tables

--------------------
---  TCPIP
--------------------

-- merged with D_NET

--------------------
---  USER
--------------------

drop table AMY.stg_USER_met;

-- VE VIEW
drop view AMY.ve_USER_met;

-- VD VIEW
drop view AMY.vd_USER_met;

-- VE VIEW
drop view AMY.ve_USER;

-- VD VIEW
drop view AMY.vd_USER;

-- VE VIEW
drop view AMY.ve_stg_USER_hr;

-- VF VIEW
drop view AMY.vf_stg_USER_hr;

--------------------
---  SYSTEM
--------------------

drop table AMY.stg_SYSTEM_met;

-- VE VIEW
drop view AMY.ve_SYSTEM_met;

-- VD VIEW
drop view AMY.vd_SYSTEM_met;

-- VE VIEW
drop view AMY.ve_SYSTEM;

-- VD VIEW
drop view AMY.vd_SYSTEM;

-- VE VIEW
drop view AMY.ve_stg_SYSTEM_hr;
