-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amy/pkg/v110/etl/sql/amy_c05_s010_update.db2, tmnt_etl, tmnt_5.1.1_FP06, DM040219A
-- #   Revision: 1.1
-- #   Date: 1/20/04 14:50:49
-- ############################################################################
--From Mart to CDW

--#VERSION 1.1.0.1.0


--#EXECUTE_AT_TARGET
update twg.comp set comp_nm='Memory' where comptyp_cd='AMY_MEMORY' and comp_nm='';

--#EXECUTE_AT_TARGET
update twg.comp set comp_nm='Server' where comptyp_cd='AMY_SERVER' and comp_nm='';

--#EXECUTE_AT_TARGET
update twg.comp set comp_nm='Redirector' where comptyp_cd='AMY_REDIR' and comp_nm='';

--#EXECUTE_AT_TARGET
update twg.comp set comp_nm='Delta_CPU' where comptyp_cd='AMY_CPU' and comp_nm='';

--#EXECUTE_AT_TARGET
update twg.comp set comp_nm='IP' where comptyp_cd='AMY_IP' and comp_nm='';

--#EXECUTE_AT_TARGET
update twg.comp set comp_nm='TCP' where comptyp_cd='AMY_TCPIP' and comp_nm='';

-- left trim the attribute value of AMY_PROCNM
--#EXECUTE_AT_TARGET
update twg.compattr set compattr_val=
ltrim(compattr_val) where attrtyp_cd='AMY_PROCNM';

-- left trim the attribute value and remove anything after '.' or','  of AMY_PROCID
--#EXECUTE_AT_TARGET
update twg.compattr set compattr_val=
 ltrim(substr(compattr_val,1,locate('.',compattr_val) - 1)) where attrtyp_cd='AMY_PROCID' and locate('.',compattr_val) > 0;

--#EXECUTE_AT_TARGET
update twg.compattr set compattr_val=
 ltrim(substr(compattr_val,1,locate(',',compattr_val) - 1)) where attrtyp_cd='AMY_PROCID' and locate(',',compattr_val) > 0;

-- remove the process id in the process name for the attribute AMY_PROCNM
--#EXECUTE_AT_TARGET
update twg.compattr ca2
set ca2.compattr_val= substr(ca2.compattr_val,1,locate(' ',ca2.compattr_val))
where exists
( select 1
from
twg.compattr ca1
where
locate(' ' concat ca1.compattr_val,ca2.compattr_val) >0 and
ca1.attrtyp_cd='AMY_PROCID' and
ca2.attrtyp_cd='AMY_PROCNM' and
ca1.comp_id=ca2.comp_id
) and
substr(ca2.compattr_val,1,locate(' ',ca2.compattr_val)) is not null
;


--Update the comp_nm of the component type AMY_PROCESS based on the new PROCNM attribute
--#EXECUTE_AT_TARGET
update twg.comp c
set c.comp_nm=
(select ca.compattr_val from twg.cur_compattr ca where
               ca.comp_id=c.comp_id and
 	      c.comptyp_cd='AMY_PROCESS' and
 	      ca.attrtyp_cd='AMY_PROCNM' and
 	      ca.compattr_val is not null)
where
exists ( select 1 from twg.cur_compattr ca where
               ca.comp_id=c.comp_id and
 	      c.comptyp_cd='AMY_PROCESS' and
 	      ca.attrtyp_cd='AMY_PROCNM' and
 	      ca.compattr_val is not null);
;



--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
drop table AMY.Prune_Mart_Control;

--#EXECUTE_AT_TARGET
create table amy.Prune_Mart_Control (
table_name 	varchar(120) not null,
pmartc_duration	decimal(8,0) not null
)
;

--#INSERT_INTO_TARGET
insert into AMY.Prune_Mart_Control
select
 table_name,
 pmartc_duration
from
 AMY.Prune_Mart_Control
;


